Bug 1418611 (CVE-2016-10196) - CVE-2016-10196 libevent: Stack-buffer overflow in evutil_parse_sockaddr_port()
Summary: CVE-2016-10196 libevent: Stack-buffer overflow in evutil_parse_sockaddr_port()
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10196
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418616
Blocks: 1418615
TreeView+ depends on / blocked
 
Reported: 2017-02-02 10:33 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in libevent with the parsing of IPv6 addresses. If an attacker could cause an application using libevent to parse a malformed address in IPv6 notation of more than 2GiB in length, a stack overflow would occur leading to a crash.
Clone Of:
Environment:
Last Closed: 2017-03-24 04:59:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1201 normal SHIPPED_LIVE Important: thunderbird security update 2017-05-08 10:45:45 UTC

Description Andrej Nemec 2017-02-02 10:33:59 UTC
A vulnerability was found in libevent. There is a stack-buffer overflow in evutil.c.

Upstream bug:

https://github.com/libevent/libevent/issues/318

Upstream patch:

https://github.com/libevent/libevent/commit/329acc18a0768c21ba22522f01a5c7f46cacc4d5

Comment 1 Andrej Nemec 2017-02-02 10:41:23 UTC
Created libevent tracking bugs for this issue:

Affects: fedora-all [bug 1418616]

Comment 3 Doran Moppert 2017-02-10 05:48:09 UTC
nfs-utils since rhel-5 does not use embedded libevent

Comment 4 Doran Moppert 2017-02-21 03:01:24 UTC
libevent.1.4 does not include support for IPv6.

openmpi does not use or expose any functions in libevent which expose this vulnerability.

Stack canaries prevent exploitation of this flaw for arbitrary code execution, limiting the potential impact to only a crash.

Comment 5 errata-xmlrpc 2017-05-08 06:46:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1201 https://access.redhat.com/errata/RHSA-2017:1201


Note You need to log in before you can comment on or make changes to this bug.